#ifndef SHHLOG_H
#define SHHLOG_H

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

#define logNOTHING 0
#define logDATE    1
#define logTIME    2
#define logPID     4
#define logHOST    8

#define logDATETIME (logDATE | logTIME)
#define logALL  (logDATETIME | logPID | logHOST)
    
int  logOpen(const char *name, int what);
int  logSetStream(FILE *stream, int what);
int  logLine(const char *format, ...);
int  logClose();

#ifdef __cplusplus
}
#endif

#endif
