#include <stdio.h>
#include <unistd.h>
#include "shhlog.h"

int main(int argc, char *argv[])
{
    int status, what = logDATE | logTIME | logPID | logHOST;
    
    if (argc != 2) {
	printf("no destination given.\n");
	return 1;
    }
    printf("opening log: \"%s\"\n", argv[1]);
    if (logOpen(argv[1], what) < 0)
	perror("logopen()");
    if (logLine("opening log\n") < 0)
	perror("logLine()");
    printf("forking two processes to run for two seconds each.\n");
    if (fork() && fork()) {
	wait(&status);
	wait(&status);
    } else {
	alarm(2);
	for (;;)
	    logLine("The PATH-variable: %s\n", getenv("PATH"));
    }
    if (logClose() < 0)
	perror("logClose()");
    return 0;
}
